summaryrefslogtreecommitdiff
path: root/tests/runTest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/runTest.sh')
-rw-r--r--tests/runTest.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/runTest.sh b/tests/runTest.sh
new file mode 100644
index 0000000..e9a0526
--- /dev/null
+++ b/tests/runTest.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+TEST=`basename $1`
+cd "$srcdir"/examples || exit 77
+
+srcdir=.. $SHELL ./$TEST | tr -d "\r" \
+ | diff -u - results/$TEST.out